Bug 125403 - Boot fails when there are more than four IDE devices
Boot fails when there are more than four IDE devices
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-06-06 08:27 EDT by Jarkko
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-09 05:56:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarkko 2004-06-06 08:27:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
The install CD failes to boot when there are more than four IDE
devices (for example two CD drives, one ATA drive and two SATA drives
like I have). So the install CD kernel must be missconfigured. It
doesn't support the enhanced IDE properly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set enhanced IDE on in your BIOS
2. Connect more than four IDE devices
3. Try to boot the FC1 or FC2 install CD1

Actual Results:  I see only a blinking "-".

Expected Results:  The CD should boot normally.

Additional info:

Actually this bug applies to FC1 too but I thought it's better to file
it against the new FC2.

I can use more than four IDE devices with Fedora Core 1 after the
install. So this bug applies only to the install CD kernel.

It should be easy to check what's the difference between the install
CD kernel configuration and the Fedora Core kernel configuration. So
the fix should be easy too.

Hint from my expreriences: It works if you switch off "Sharing PCI IDE
interrupts support" in the "IDE, ATA and ATAPI Block devices" part.
Maybe that's the difference between the kernel configurations.
Comment 1 Jeremy Katz 2004-06-08 11:18:47 EDT
Where does it fail?  After isolinux loads the kernel, when isolinux is
starting, somewhere else entirely?
Comment 2 Jarkko 2004-06-09 02:23:32 EDT
At the very beginning when isolinux is starting. Is see only a 
blinking "-", nothing else.
Comment 3 Jeremy Katz 2004-10-07 14:47:24 EDT
Is FC3 test any better?
Comment 4 Jarkko 2004-10-09 05:56:15 EDT
Yes! Fedora Core 3 Test 2 works!

Thank you! Good job!

Note You need to log in before you can comment on or make changes to this bug.